<?
session_start();
require_once("../common/init.php");
require_once("security.inc.php");
/* 支付方式代码 */
$pay_code = !empty($_REQUEST['code']) ? trim($_REQUEST['code']) : '';
/* 参数是否为空 */
if (empty($pay_code))
{
    $msg = '未知支付方式';
}
else
{
    /* 检查code里面有没有问号 */
    if (strpos($pay_code, '?') !== false)
    {
        $arr1 = explode('?', $pay_code);
        $arr2 = explode('=', $arr1[1]);

        $_REQUEST['code']   = $arr1[0];
        $_REQUEST[$arr2[0]] = $arr2[1];
        $_GET['code']       = $arr1[0];
        $_GET[$arr2[0]]     = $arr2[1];
        $pay_code           = $arr1[0];
    }

	/* 判断是否启用 */
    $sql = "SELECT COUNT(*) FROM payment_type WHERE pay_code = '$pay_code' AND status = 1";
    if ($db->getOne($sql) == 0)
    {
        $msg = "不能使用该支付方式";
    }
    else
    {
        $plugin_file = COMMON_DIR. 'payment/' . $pay_code . '.php';

        /* 检查插件文件是否存在，如果存在则验证支付是否成功，否则则返回失败信息 */
        if (file_exists($plugin_file))
        {
			$payment_info = get_payment($_GET['code']);

            /* 根据支付方式代码创建支付类的对象并调用其响应操作方法 */
            include_once($plugin_file);

            $payment = new $pay_code();
			$payret = $payment->respond();
			$msg = "订单号：".$payment->get_order_id()."<br>";
			$msg .= "支付结果：".($payret?"<font color=green>支付成功</font>":"支付失败")."<br>";
			$msg .= "支付方式：".$payment_info[pay_name]."<br>";
			if($_SESSION['PayOrderID']){
				$msg .= "<a href='order_pay.php?OrderID=".$_SESSION['PayOrderID']."'><b>立即交费开通</b></a>";
			}else{
				$msg .= "<a href='fin_list.php'><b>返回</b></a>";
			}
        }
        else
        {
            $msg = '支付方式不存在';
        }
    }
}

$db->close();
$smarty->assign("pay_result",$msg);
$smarty->display('user_onlinepay_result.html');
?>